| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::thread_pool_task Struct Reference

A task within a thread pool. A simple lambda that accepts no parameters and returns void. More...

`#include <thread_pool.h>`

Collaboration diagram for dpp::thread_pool_task:
[legend]

## Public Attributes

work_unit | function
| Work unit to execute as the task.
int | priority
| Task priority, lower value is higher priority.

## Detailed Description

A task within a thread pool. A simple lambda that accepts no parameters and returns void.

## Member Data Documentation

## ◆ function

work_unit dpp::thread_pool_task::function

Work unit to execute as the task.

## ◆ priority

int dpp::thread_pool_task::priority

Task priority, lower value is higher priority.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0